Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils.fsm
Class TransitionGraph

    java.lang.Object
      org.mindswap.pellet.utils.fsm.TransitionGraph

    public class TransitionGraph

extends java.lang.Object

Title:

Description:

Copyright: Copyright (c) 2006

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin

Constructor Summary
`TransitionGraph()`

Method Summary
`boolean` | `accepts(java.util.List str)`
`void` | `addFinalState(State s)`
`void` | `addTransition(State begin, java.lang.Object transition, State end)`
`void` | `addTransition(State begin, State end)`
`TransitionGraph` | `choice(TransitionGraph t)`
`TransitionGraph` | `closure()`
`TransitionGraph` | `concat(TransitionGraph t)`
`TransitionGraph` | `copy()`
`TransitionGraph` | `determinize()`
`TransitionGraph` | `epsilon()`
`java.util.Set<State>` | `epsilonClosure(java.util.Set<State> SS)`
`java.util.Set<State>` | `epsilonClosure(State s, java.util.Set<State> result)`
`java.util.List<Pair<State,State>>` | `findTransitions(java.lang.Object transition)`
`java.util.Set<State>` | `getAllStates()`
`java.util.Set` | `getAlpahabet()`
`State` | `getFinalState()`
`java.util.Set<State>` | `getFinalStates()`
`State` | `getInitialState()`
`TransitionGraph` | `insert(TransitionGraph t, State i, State f)`
`boolean` | `isConnected()`
`boolean` | `isDeterministic()`
`boolean` | `isFinal(java.util.Set<State> ss)`
`boolean` | `isFinal(State st)`
`TransitionGraph` | `minimize()`
`java.util.Set<State>` | `move(java.util.Set<State> SS, java.lang.Object c)`
`State` | `newState()`
`TransitionGraph` | `renumber()`
`void` | `setInitialState(State s)`
`void` | `setPartition(java.util.Set<State> stateSet, int num)`
`int` | `size()` Returns the number of states in this transition graph
`static TransitionGraph` | `symbol(java.lang.Object transition)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransitionGraph

    public TransitionGraph()

Method Detail

### copy

    public TransitionGraph copy()

### size

    public int size()

  Returns the number of states in this transition graph

  Returns:

### newState

    public State newState()

### getAlpahabet

    public java.util.Set getAlpahabet()

### getAllStates

    public java.util.Set<State> getAllStates()

### setInitialState

    public void setInitialState(State s)

### getInitialState

    public State getInitialState()

### addFinalState

    public void addFinalState(State s)

### getFinalStates

    public java.util.Set<State> getFinalStates()

### getFinalState

    public State getFinalState()

### addTransition

    public void addTransition(State begin,
                              java.lang.Object transition,
                              State end)

### addTransition

    public void addTransition(State begin,
                              State end)

### findTransitions

    public java.util.List<Pair<State,State>> findTransitions(java.lang.Object transition)

### isFinal

    public boolean isFinal(State st)

### isFinal

    public boolean isFinal(java.util.Set<State> ss)

### epsilon

    public TransitionGraph epsilon()

### symbol

    public static TransitionGraph symbol(java.lang.Object transition)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### renumber

    public TransitionGraph renumber()

### accepts

    public boolean accepts(java.util.List str)

### choice

    public TransitionGraph choice(TransitionGraph t)

### concat

    public TransitionGraph concat(TransitionGraph t)

### closure

    public TransitionGraph closure()

### insert

    public TransitionGraph insert(TransitionGraph t,
                                  State i,
                                  State f)

### move

    public java.util.Set<State> move(java.util.Set<State> SS,
                                     java.lang.Object c)

### epsilonClosure

    public java.util.Set<State> epsilonClosure(State s,
                                               java.util.Set<State> result)

### epsilonClosure

    public java.util.Set<State> epsilonClosure(java.util.Set<State> SS)

### isDeterministic

    public boolean isDeterministic()

### isConnected

    public boolean isConnected()

### determinize

    public TransitionGraph determinize()

### setPartition

    public void setPartition(java.util.Set<State> stateSet,
                             int num)

### minimize

    public TransitionGraph minimize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.